%define name talika-applet
%define version 0.49
%define release %mkrel 1

Summary:        Talika Applet
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://sourceforge.net/projects/talika/
Source0:        http://sourceforge.net/projects/talika/talika-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  GConf-devel libwnck-devel libpanel-applet-devel gettext intltool  perl-XML-Parser
Requires: gnome-panel
Obsoletes: %name < %version

%description
GNOME Applet for switching between open windows using icons

%prep
%setup -q -n talika-%{version}


%build

%configure2_5x 

%make

%install
rm -rf %{buildroot}
%makeinstall_std



%find_lang talika

%define schemas talika

rm -rf %{buildroot}/usr/doc/talika

%clean
rm -rf %{buildroot}

%post
%post_install_gconf_schemas %{schemas}


%preun
%preun_uninstall_gconf_schemas %{schemas}



%files -f talika.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO HACKING
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libexecdir}/talika
%{_libdir}/bonobo/servers/talika.server
%{_datadir}/talika/talika_prefs.ui
%{_datadir}/pixmaps/talika.svg


%changelog
* Sat May 08 2010 slick50 <lxgator@gmail.com> 0.49-1pclos2010
-  0.49

* Mon Apr 19 2010 slick50 <lxgator@gmail.com> 0.48-1pclos2010
-  0.48

* Tue Mar 23 2010 slick50 <lxgator@gmail.com> 0.24-1pclos2010
-  0.24

* Sat Feb 20 2010 slick50 <lxgator@gmail.com> 0.22-1pclos2010
-  0.22

* Sat Jan 09 2010 slick50 <lxgator@gmail.com> 0.21-1pclos2010
- initial build 
